Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.button
Class TableHeaderSortButton

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Label
                  com.google.gwt.user.client.ui.HTML
                      org.eclipse.higgins.ics.gwt.base.client.button.TableHeaderSortButton

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasHorizontalAlignment, com.google.gwt.user.client.ui.HasHTML, com.google.gwt.user.client.ui.HasText, com.google.gwt.user.client.ui.HasWordWrap, com.google.gwt.user.client.ui.SourcesClickEvents, com.google.gwt.user.client.ui.SourcesMouseEvents, com.google.gwt.user.client.ui.SourcesMouseWheelEvents

public class TableHeaderSortButton
extends com.google.gwt.user.client.ui.HTML

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.HasHorizontalAlignment
`com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant`

Field Summary

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT`

Constructor Summary
`TableHeaderSortButton(String text, com.google.gwt.user.client.ui.ClickListener clickListener)`

Methods inherited from class com.google.gwt.user.client.ui.HTML
`getHTML, setHTML`

Methods inherited from class com.google.gwt.user.client.ui.Label
`addClickListener, addMouseListener, addMouseWheelListener, getHorizontalAlignment, getText, getWordWrap, onBrowserEvent, removeClickListener, removeMouseListener, removeMouseWheelListener, setHorizontalAlignment, setText, setWordWrap`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.user.client.ui.HasText
`getText, setText`

Constructor Detail

### TableHeaderSortButton

    public TableHeaderSortButton(String text,
                                 com.google.gwt.user.client.ui.ClickListener clickListener)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD